{%extends "account.html"%}
{%block main%}

<div class="registration-form contact-form">
    <form action="" class="form-group" method="POST" novalidate>
        {{ form.hidden_tag() }} 
        <div class="form-field">
            {{form.contact_name(class="form-field form-control form-control-lg", placeholder="Contact Name")}}
            {%for error in form.contact_name.errors%}
                <div class="error-feedback"><span>{{error}}</span></div>
            {%endfor%}
        </div>
        <div class="form-field">
            {{form.contact_no(class="form-field form-control form-control-lg", placeholder="Contact Number")}}
            {%for error in form.contact_no.errors%}
                <div class="error-feedback"><span>{{error}}</span></div>
            {%endfor%}
        </div class="form-field">
        <div>
            {{form.gender(class="gender")}}
            {%for error in form.gender.errors%}
                <div class="error-feedback"><span>{{error}}</span></div>
            {%endfor%}
        </div>
        {%if title != 'delete_contact'%}
        {{form.add_contact(class="styled-button site-theme-color", formaction=url_for('contacts.contact'))}}
        {%endif%}
        {%if title != 'add_contact'%}
        {{form.delete_contact(class="styled-button site-theme-color", formaction=url_for('contacts.delete_contact'))}}
        {%endif%}
 
    </form>
</div>
<aside class="contacts-aside">
    <h2>Contacts</h2>
    <ul class="contacts-list">
    {%for contact in contacts%}
        <li class="contact-item"><a class="styled-button" href="{{url_for('contacts.delete_selected', contact_no=contact.contact_no)}}">{{contact.contact_name}} : {{contact.contact_no}}</a></li>
    {%endfor%}
    </ul>
</aside>
{%endblock main%}